Subject: bug#5009: complete-symbol should probably not be bound in global-map

From: Lennart Borgman <[email-masked]>
Date: Sun, 22 Nov 2009 03:21:27 +0100

On Sun, Nov 22, 2009 at 2:20 AM, Drew Adams <[email-masked]> wrote:
>> But it is.
> _Why_ shouldn't it?
> What's the bug?

It fools people into believing there is a useful completion when there
in fact is none. What use is for example symbol completion in
css-mode, in php-mode etc?

It is better to tell the truth. Bind it to there-is-no-completion-here
(in a logic sense of course) in global map. Bind it to something
useful in major modes.